<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Transiciones</title>
  <link rel="stylesheet" href="style-START.css">
</head>
<body>

  <h2>Propiedad: <span class="monotype">transition-timing-function</span></h2>
  <div class="transition-timing">
    <div class="transition-container ease-a">
      <div class="transition-ghost"></div>
      <div class="transition-item">linear</div>
    </div>

    <div class="transition-container ease-b">
      <div class="transition-ghost"></div>
      <div class="transition-item">ease-in</div>
    </div>

    <div class="transition-container ease-c">
      <div class="transition-ghost"></div>
      <div class="transition-item">ease-out</div>
    </div>

    <div class="transition-container ease-d">
      <div class="transition-ghost"></div>
      <div class="transition-item">ease-in-out</div>
    </div>

    <div class="transition-container ease-e">
      <div class="transition-ghost"></div>
      <div class="transition-item">cubic-bezier</div>
    </div>
  </div>


  <h2>Función: <span class="monotype">transition-delay</span></h2>
  <div class="transition-delay">
    <div class="transition-container delay-a">
      <div class="transition-ghost"></div>
      <div class="transition-item">0s</div>
    </div>

    <div class="transition-container delay-b">
      <div class="transition-ghost"></div>
      <div class="transition-item">0.1s</div>
    </div>

    <div class="transition-container delay-c">
      <div class="transition-ghost"></div>
      <div class="transition-item">0.2s</div>
    </div>
  </div>


  <h2>Multiples valores</h2>
  <div class="transition-multiple">
    <div class="transition-container multiple-a">
      <div class="transition-ghost"></div>
      <div class="transition-item"></div>
    </div>

    <div class="transition-container multiple-b">
      <div class="transition-ghost"></div>
      <div class="transition-item"></div>
    </div>

    <div class="transition-container multiple-c">
      <div class="transition-ghost"></div>
      <div class="transition-item"></div>
    </div>
  </div>


  <h2>Concatenar animaciones</h2>
  <div class="transition-concat">
    <div class="transition-container concat-a">
      <div class="transition-ghost"></div>
      <div class="transition-item"></div>
    </div>

    <div class="transition-container concat-b">
      <div class="transition-ghost"></div>
      <div class="transition-item"></div>
    </div>
  </div>


  <h2>El orden es importante</h2>
  <div class="transition-origin">
    <div class="transition-container origin-a">
      <div class="transition-ghost"></div>
      <div class="transition-item"></div>
    </div>

    <div class="transition-container origin-b">
      <div class="transition-ghost"></div>
      <div class="transition-item"></div>
    </div>
  </div>
  
</body>
</html>
